Bug 1023285 - postinstall.tomcat.bat missing in provided zip setup on redhat portal
postinstall.tomcat.bat missing in provided zip setup on redhat portal
Status: VERIFIED
Product: JBoss Enterprise Web Server 2
Classification: JBoss
Component: httpd (Show other bugs)
2.0.0
x86_64 Windows
unspecified Severity high
: ER02
: 2.1.0
Assigned To: Weinan Li
Libor Fuka
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-25 02:10 EDT by Vinayak
Modified: 2015-08-31 23:00 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously in JBoss Enterprise Web Server, the <filename>postinstall.tomcat.bat</filename> file was missing in the ZIP distribution in the Red Hat Customer Portal. This is fixed in JBoss Enterprise Web Server 2.1 and the <filename>postinstall.tomcat.bat</filename> file is now included in the ZIP distribution.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vinayak 2013-10-25 02:10:25 EDT
Description of problem:

postinstall.tomcat.bat missing in provided zip setup on redhat portal

Version-Release number of selected component (if applicable): 2.0.0 & 2.0.1
Comment 1 Weinan Li 2013-10-25 04:10:34 EDT
Hi Mladen, this seems like a Windows related problem. Could you please have a look? Thanks!
Comment 2 Mladen Turk 2013-10-25 05:59:29 EDT
Hmm. Already made one comment but cannot see it. Anyhow....

postinstall.tomcat.bat is inside jbos-ews-application-servers .zip files
Just double checked on http://download.devel.redhat.com/released/JBossEWS/2.0.1/

Is this the location of the reported .zip file?
Comment 3 Vinayak 2013-10-25 07:02:54 EDT
Hi Mladen,

I have used below link to download JBEWS-2.0.1/jboss-ews-httpd-2.0.1-win6.x86_64.zip. In which I am not able to get postinstall.tomcat.bat.

https://access.redhat.com/jbossnetwork/restricted/softwareDetail.html?softwareId=22973&product=webserver&version=&downloadType=distributions

I also checked with your link; http://download.devel.redhat.com/released/JBossEWS/2.0.1/

But it causes below exception;

Unknown Host
--------------------------------------------------------------------------------
Description: Unable to locate the server named "download.devel.redhat.com" --- the server does not have a DNS entry. Perhaps there is a misspelling in the server name, or the server no longer exists. Double-check the name and try again.


Thanks,
Vinayak
Comment 4 Mladen Turk 2013-10-25 07:19:31 EDT
Like said the postinstall.tomcat.bat is NOT inside
jboss-ews-httpd-2.0.1-win6.x86_64.zip.

It's inside
jboss-ews-application-servers-2.0.1-win6.i686.zip
Comment 5 Vinayak 2013-10-28 03:07:21 EDT
Hi Mladen,

As you said I got jboss-ews-application-servers-2.0.1-win6.i686.zip downloaded from Redhat download section. Sorry to say but the required bat file is missing in that setup too. Actually I wanted to make configuration with Jboss EAP 2.0 to have loadbalancing. As per Redhat support team suggestion I am trying to install front end like Apache. So we are following provided guide for this setup;
https://access.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/5/html-single/Administration_And_Configuration_Guide/index.html#clustering-concepts-arch-balancer

And in this link it is told that we need to run postinstall.tomcat.bat to have required setup. but that bat file is missing so we are not able to do anything without it. Please download same and check.

Thanks
Vinayak
Comment 7 Weinan Li 2014-01-29 05:23:50 EST
I'll check this.
Comment 8 Weinan Li 2014-06-10 06:09:50 EDT
unzip -l jboss-ews-application-servers-2.1.0-ER2-win6.i686.zip | grep postinstall
     3463  06-03-14 19:07   jboss-ews-2.1/etc/postinstall.tomcat.bat

unzip -l jboss-ews-application-servers-2.1.0-ER2-win6.x86_64.zip | grep postinstall
     3463  06-03-14 19:08   jboss-ews-2.1/etc/postinstall.tomcat.bat
Comment 9 Martin Velas 2014-06-11 06:33:43 EDT
File postinstall.tomcat.bat is contained in both 2.1.0 ER2 windows ZIPs from http://download.devel.redhat.com/devel/candidates/JBEWS/2.1.0.ER2/ and also in 2.0.1 ZIPs from customer portal.
Comment 10 Mandar Joshi 2014-08-12 02:49:21 EDT
Removing this bz from EWS 2.1 release notes.
Setting the requires_doc_text flag to -

Note You need to log in before you can comment on or make changes to this bug.